gi-harfbuzz-0.0.3: HarfBuzz bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.ShapePlanT

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype ShapePlanT = ShapePlanT (ManagedPtr ShapePlanT)

# Exported types

newtype ShapePlanT Source #

Memory-managed wrapper type.

Constructors

ShapePlanT (ManagedPtr ShapePlanT) |

#### Instances

Instances details

Eq ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods (==) :: ShapePlanT -> ShapePlanT -> Bool # (/=) :: ShapePlanT -> ShapePlanT -> Bool #
GBoxed ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT
TypedObject ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods glibType :: IO GType Source #
ManagedPtrNewtype ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods toManagedPtr :: ShapePlanT -> ManagedPtr ShapePlanT Source #
IsGValue ShapePlanT Source # | Convert `ShapePlanT` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT Methods toGValue :: ShapePlanT -> IO GValue Source # fromGValue :: GValue -> IO ShapePlanT Source #
HasParentTypes ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT
type ParentTypes ShapePlanT Source # |
Instance details Defined in GI.HarfBuzz.Structs.ShapePlanT type ParentTypes ShapePlanT = '[] :: [Type]

# Methods

## Overloaded methods